You can translate the question and the replies:

Reason: Could not initialize class com.denodo.vdp.jdbc.Driver” Softwares used:Denodo 7+JAVA 8+PCF-deployed using java build back 4_14(OpenJDK)

Get error “Reason: Could not initialize class com.denodo.vdp.jdbc.Driver” when publishing app on PCF(pivotal cloud foundry) using Java build pack 4 _14 uses openJDK Softwares used:Denodo 7+JAVA 8+PCF-deployed using java build back 4_14(OpenJDK) But we didn’t face same issue in our local development which uses oraclejdk is Denodo vdp jdbc driver does not support on openjdk?
user
09-08-2021 06:11:18 -0400

1 Answer

Hi, Going through the error, I believe the error "Could not initialize class com.denodo.vdp.jdbc.Driver" might occur due to having the wrong version of java installed. In general, you could use OpenJDK version 8 with Denodo Platform 7.0. You can find detailed information at the following Knowledge Base articles such as [Java versions supported by the Denodo Platform](https://community.denodo.com/kb/en/view/document/Java%20versions%20supported%20by%20the%20Denodo%20Platform) and [How to change the JVM used by the Denodo Platform](https://community.denodo.com/kb/en/view/document/How%20to%20change%20the%20JVM%20used%20by%20the%20Denodo%20Platform). Additionally, you can refer to this similar [Community Question](https://community.denodo.com/answers/question/details?questionId=9064u000000H9oTAAS&title=Reason%3A+Could+not+initialize+class+com.denodo.vdp.jdbc.Driver+on+PCF) for more information. Hope this helps!
Denodo Team
09-08-2021 07:54:12 -0400
You must sign in to add an answer. If you do not have an account, you can register here